#
# spec file for package perl-HTTP-Server-Simple
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-HTTP-Server-Simple
Version:        0.52
Release:        1.29
%define cpan_name HTTP-Server-Simple
Summary:        Lightweight HTTP server
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/HTTP-Server-Simple/
Source0:        https://cpan.metacpan.org/authors/id/B/BP/BPS/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(CGI)
BuildRequires:  perl(Socket) >= 1.94
Requires:       perl(CGI)
Requires:       perl(Socket) >= 1.94
%{perl_requires}
# MANUAL BEGIN
BuildRequires:  netcfg libnss_usrfiles2
# MANUAL END

%description
This is a simple standalone HTTP server. By default, it doesn't thread or
fork. It does, however, act as a simple frontend which can be used to build
a standalone web-based application or turn a CGI into one.

It is possible to use Net::Server classes to create forking, pre-forking,
and other types of more complicated servers; see net_server.

By default, the server traps a few signals:

* HUP

When you 'kill -HUP' the server, it lets the current request finish being
processed, then uses the 'restart' method to re-exec itself. Please note
that in order to provide restart-on-SIGHUP, HTTP::Server::Simple sets a
SIGHUP handler during initialisation. If your request handling code forks
you need to make sure you reset this or unexpected things will happen if
somebody sends a HUP to all running processes spawned by your app (e.g. by
"kill -HUP <script>")

* PIPE

If the server detects a broken pipe while writing output to the client, it
ignores the signal. Otherwise, a client closing the connection early could
kill the server.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Sat Apr  1 2017 coolo@suse.com
- updated to 0.52
  see /usr/share/doc/packages/perl-HTTP-Server-Simple/Changes
  0.52 2017-03-31
  - Add . to lib in Makefile.PL to support perl 5.25.11
* Sun Sep 20 2015 coolo@suse.com
- updated to 0.51
  see /usr/share/doc/packages/perl-HTTP-Server-Simple/Changes
  0.51 2015-09-16
  - add OPTIONS as a valid method
  - better compatibility with CGI.pm < 3.36
  - fix tests for freebsd and IPv6
  - repository info
* Thu Aug 27 2015 hsk@imb-jena.de
- add CGI to Requires:, BuildRequires:, as that module is not in
  perl core since perl 5.22
* Tue Apr 14 2015 coolo@suse.com
- updated to 0.50
  see /usr/share/doc/packages/perl-HTTP-Server-Simple/Changes
* Mon Oct 15 2012 coolo@suse.com
- buildrequire netcfg for the test suite
* Mon Apr  4 2011 lars@linux-schulserver.de
- update to 0.44:
  + Fix tests to run in a FreeBSD Jail ( rt.cpan.org #49807 )
- package ex directory with example server
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Sun May  2 2010 lars@linux-schulserver.de
- update to 0.43:
  + Support for getting REMOTE_PORT
* Sat Feb 20 2010 lars@linux-schulserver.de
- update to 0.42:
  + Inline uri_unescape to drop URI::Escape which is the only
    non-core dependency of this distribution.
  + Do not special case COOKIE and sets Cookie header to HTTP_COOKIE.
  + Pluggable CGI class support based on a patch from NANIS
- remove perl(URI::Escape) dependency
* Sat Dec 26 2009 lars@linux-schulserver.de
- initial version 0.41
